Bug 208608 - system-config-authentication seg faults at command line
system-config-authentication seg faults at command line
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pygtk2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
David Lawrence
: Desktop
: 208911 (view as bug list)
Depends On:
Blocks: 1164342
  Show dependency treegraph
Reported: 2006-09-29 13:05 EDT by Suzanne Hillman
Modified: 2014-12-06 11:04 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-22 22:48:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
errors that go to the screen when s-c-authenticaion is run (8.35 KB, text/plain)
2006-09-29 15:22 EDT, Suzanne Hillman
no flags Details

  None (edit)
Description Suzanne Hillman 2006-09-29 13:05:28 EDT
Description of problem:
system-config-authentication seg faults at command line.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Login as root to a virtual terminal
2. Run 'system-config-authentication'
Actual results:
error, and segfault

Expected results:
Should work, or explain why not (really, it should work, in case authentication
is sad and not letting one log into X to run it there).

Additional info:
Comment 1 RHEL Product and Program Management 2006-09-29 15:17:53 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 2 Tim Reilly 2006-09-29 15:20:39 EDT
Bug seems to be deeper than just flat-out brokenness. Works for me on a i386
desktop (Suzanne's machine is a i386 laptop).
Comment 3 Suzanne Hillman 2006-09-29 15:22:28 EDT
Created attachment 137427 [details]
errors that go to the screen when s-c-authenticaion is run
Comment 4 Tomas Mraz 2006-09-30 08:16:49 EDT
The problem is coming from elsewhere than system-config-authentication. Are you
running it from a linux text console? What echo $DISPLAY says there?

The system-config-authentication (alias authconfig-gtk) tries to import gtk
module which should properly error out and not segfault when $DISPLAY is not set.

The error is then catched by s-c-a and authconfig is execed instead of it.

Workaround - use 'authconfig' command instead of 'system-config-authentication'.
Comment 5 Matthias Clasen 2006-09-30 11:21:18 EDT
It appears s-c-a expects an exception to be raised when importing gtk without
a display. That does not seem to happen. Even if it would happen though, 
s-c-d tries to run authconfig, when it should probably run authconfig-tui ?
Comment 6 Tomas Mraz 2006-09-30 12:16:31 EDT
It raised an exception at least in FC5. It must run authconfig because
authconfig-tui is deprecated and is not being enhanced with new options anymore
(smart card support for example).

What is the proper way to detect no X access with current pygtk?
Comment 7 Matthias Clasen 2006-09-30 23:49:56 EDT
It seems system-config-display has similar problems
Comment 8 Jeremy Katz 2006-10-01 00:31:19 EDT
This is due to a (completely broken IMHO) change in upstream pygtk.  See
http://bugzilla.gnome.org/bugzilla/show_bug.cgi?id=316877 for the details and my
attempt to talk sense into them :(

I think that given where we are, it probably makes sense to revert the behavior
in our packages for FC6 and then begin the painful process of changing apps for
Comment 9 Matthias Clasen 2006-10-01 18:45:20 EDT
There's and extra /bugzilla/ in your url, Jeremy.

The upstream bug links to http://live.gnome.org/PyGTK/WhatsNew210
which describes how to catch "DISPLAY not set" with 2.10
Comment 10 Jeremy Katz 2006-10-01 18:56:22 EDT
Bah, that's what I get for just typing and not actually checking the URL :-)

And yes, I know they have an all new way of doing it.  But the whole "break
existing apps" is completely and utterly broken.  And I really don't see how we
can manage to _successfully_ go through and fix all of the apps we ship in the
time we've got.
Comment 11 Matthias Clasen 2006-10-02 02:10:58 EDT
yes, you are right, going back to throwing an exception seems the only way to fix
system-config-* in time for fc6
Comment 12 Jeremy Katz 2006-10-02 14:05:49 EDT
*** Bug 208911 has been marked as a duplicate of this bug. ***
Comment 13 Jeremy Katz 2006-10-02 14:07:17 EDT
Fixed in pygtk-2.10.1-4

Note You need to log in before you can comment on or make changes to this bug.